fetched by ID succeeded
message_id is 201911022018.xA2KI4NO068499@repo.freebsd.orgfetched by ID succeeded
message_id is 201911022018.xA2KI4NO068499@repo.freebsd.org
Warning: Cannot modify header information - headers already sent by (output started at /usr/local/www/freshports/classes/commit.php:111) in /usr/local/www/freshports/include/freshports.php on line 2114

Warning: Cannot modify header information - headers already sent by (output started at /usr/local/www/freshports/classes/commit.php:111) in /usr/local/www/freshports/include/freshports.php on line 2115

Warning: Cannot modify header information - headers already sent by (output started at /usr/local/www/freshports/classes/commit.php:111) in /usr/local/www/freshports/include/freshports.php on line 2114

Warning: Cannot modify header information - headers already sent by (output started at /usr/local/www/freshports/classes/commit.php:111) in /usr/local/www/freshports/include/freshports.php on line 2115

Warning: Cannot modify header information - headers already sent by (output started at /usr/local/www/freshports/classes/commit.php:111) in /usr/local/www/freshports/rewrite/missing-port.php on line 451

Warning: Cannot modify header information - headers already sent by (output started at /usr/local/www/freshports/classes/commit.php:111) in /usr/local/www/freshports/include/freshports.php on line 783
FreshPorts -- www/node6: V8 JavaScript for client and server (6.x LTS)
notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)

/commits.php is going away

I'm proposing to take /commits.php away - it mainly duplicates the home page. Details in this GitHub issue.
Port details
node6 V8 JavaScript for client and server (6.x LTS)
6.17.1_2 www Deleted on this many watch lists=1 search for ports that depend on this port An older version of this port was marked as vulnerable. Find issues related to this port Report an issue related to this port View this port on Repology. pkg-fallout 6.17.1_2Version of this port present on the latest quarterly branch.
Deprecated DEPRECATED: Node.js 6.x LTS reaches end-of-life on 2019-04-30, see https://github.com/nodejs/Release
Expired This port expired on: 2019-04-30
Maintainer: bhughes@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2016-11-19 12:21:29
Last Update: 2019-11-02 20:18:04
SVN Revision: 516364
People watching this port, also watch:: emby-server, sonarr, npm, plexmediaserver-plexpass
License: MIT
Description:
SVNWeb : git : Homepage
pkg-plist: as obtained via: make generate-plist
Expand this list (122 items)
Collapse this list.
  1. /usr/local/share/licenses/node6-6.17.1_2/catalog.mk
  2. /usr/local/share/licenses/node6-6.17.1_2/LICENSE
  3. /usr/local/share/licenses/node6-6.17.1_2/MIT
  4. bin/node
  5. include/node/common.gypi
  6. include/node/config.gypi
  7. include/node/libplatform/libplatform.h
  8. include/node/node.h
  9. include/node/node_api.h
  10. include/node/node_api_types.h
  11. include/node/node_buffer.h
  12. include/node/node_object_wrap.h
  13. include/node/node_version.h
  14. include/node/openssl/aes.h
  15. include/node/openssl/archs/BSD-x86/opensslconf.h
  16. include/node/openssl/archs/BSD-x86_64/opensslconf.h
  17. include/node/openssl/archs/VC-WIN32/opensslconf.h
  18. include/node/openssl/archs/VC-WIN64A/opensslconf.h
  19. include/node/openssl/archs/aix-gcc/opensslconf.h
  20. include/node/openssl/archs/aix64-gcc/opensslconf.h
  21. include/node/openssl/archs/darwin-i386-cc/opensslconf.h
  22. include/node/openssl/archs/darwin64-x86_64-cc/opensslconf.h
  23. include/node/openssl/archs/linux-aarch64/opensslconf.h
  24. include/node/openssl/archs/linux-armv4/opensslconf.h
  25. include/node/openssl/archs/linux-elf/opensslconf.h
  26. include/node/openssl/archs/linux-ppc/opensslconf.h
  27. include/node/openssl/archs/linux-ppc64/opensslconf.h
  28. include/node/openssl/archs/linux-x32/opensslconf.h
  29. include/node/openssl/archs/linux-x86_64/opensslconf.h
  30. include/node/openssl/archs/linux32-s390x/opensslconf.h
  31. include/node/openssl/archs/linux64-s390x/opensslconf.h
  32. include/node/openssl/archs/solaris-x86-gcc/opensslconf.h
  33. include/node/openssl/archs/solaris64-x86_64-gcc/opensslconf.h
  34. include/node/openssl/asn1.h
  35. include/node/openssl/asn1_mac.h
  36. include/node/openssl/asn1t.h
  37. include/node/openssl/bio.h
  38. include/node/openssl/blowfish.h
  39. include/node/openssl/bn.h
  40. include/node/openssl/buffer.h
  41. include/node/openssl/camellia.h
  42. include/node/openssl/cast.h
  43. include/node/openssl/cmac.h
  44. include/node/openssl/cms.h
  45. include/node/openssl/comp.h
  46. include/node/openssl/conf.h
  47. include/node/openssl/conf_api.h
  48. include/node/openssl/crypto.h
  49. include/node/openssl/des.h
  50. include/node/openssl/des_old.h
  51. include/node/openssl/dh.h
  52. include/node/openssl/dsa.h
  53. include/node/openssl/dso.h
  54. include/node/openssl/dtls1.h
  55. include/node/openssl/e_os2.h
  56. include/node/openssl/ebcdic.h
  57. include/node/openssl/ec.h
  58. include/node/openssl/ecdh.h
  59. include/node/openssl/ecdsa.h
  60. include/node/openssl/engine.h
  61. include/node/openssl/err.h
  62. include/node/openssl/evp.h
  63. include/node/openssl/hmac.h
  64. include/node/openssl/idea.h
  65. include/node/openssl/krb5_asn.h
  66. include/node/openssl/kssl.h
  67. include/node/openssl/lhash.h
  68. include/node/openssl/md4.h
  69. include/node/openssl/md5.h
  70. include/node/openssl/mdc2.h
  71. include/node/openssl/modes.h
  72. include/node/openssl/obj_mac.h
  73. include/node/openssl/objects.h
  74. include/node/openssl/ocsp.h
  75. include/node/openssl/opensslconf.h
  76. include/node/openssl/opensslv.h
  77. include/node/openssl/ossl_typ.h
  78. include/node/openssl/pem.h
  79. include/node/openssl/pem2.h
  80. include/node/openssl/pkcs12.h
  81. include/node/openssl/pkcs7.h
  82. include/node/openssl/pqueue.h
  83. include/node/openssl/rand.h
  84. include/node/openssl/rc2.h
  85. include/node/openssl/rc4.h
  86. include/node/openssl/ripemd.h
  87. include/node/openssl/rsa.h
  88. include/node/openssl/safestack.h
  89. include/node/openssl/seed.h
  90. include/node/openssl/sha.h
  91. include/node/openssl/srp.h
  92. include/node/openssl/srtp.h
  93. include/node/openssl/ssl.h
  94. include/node/openssl/ssl2.h
  95. include/node/openssl/ssl23.h
  96. include/node/openssl/ssl3.h
  97. include/node/openssl/stack.h
  98. include/node/openssl/symhacks.h
  99. include/node/openssl/tls1.h
  100. include/node/openssl/ts.h
  101. include/node/openssl/txt_db.h
  102. include/node/openssl/ui.h
  103. include/node/openssl/ui_compat.h
  104. include/node/openssl/whrlpool.h
  105. include/node/openssl/x509.h
  106. include/node/openssl/x509_vfy.h
  107. include/node/openssl/x509v3.h
  108. include/node/v8-debug.h
  109. include/node/v8-experimental.h
  110. include/node/v8-platform.h
  111. include/node/v8-profiler.h
  112. include/node/v8-testing.h
  113. include/node/v8-util.h
  114. include/node/v8-version.h
  115. include/node/v8.h
  116. include/node/v8config.h
  117. lib/dtrace/node.d
  118. @(,,444) man/man1/node.1.gz
  119. share/doc/node/gdbinit
  120. share/doc/node/lldb_commands.py
  121. share/doc/node/lldbinit
  122. share/systemtap/tapset/node.stp
Collapse this list.
Dependency lines:
  • node6>0:www/node6
Conflicts:
CONFLICTS_INSTALL:
  • node8-[0-9]*
  • node10-[0-9]*
  • node-[0-9]*
Conflicts Matches:
There are no Conflicts Matches for this port. This is usually an error.
No installation instructions: this port has been deleted.
The package name of this deleted port was:
PKGNAME: node6
Flavors: there is no flavor information for this port.
ONLY_FOR_ARCHS: amd64 armv6 armv7 i386 powerpc64
distinfo:
Packages (timestamps in pop-ups are UTC):
node6
ABIlatestquarterly
FreeBSD:11:aarch64--
FreeBSD:11:amd64--
FreeBSD:11:armv6--
FreeBSD:11:i386--
FreeBSD:11:mips--
FreeBSD:11:mips64--
FreeBSD:12:aarch64--
FreeBSD:12:amd64--
FreeBSD:12:armv66.14.4-
FreeBSD:12:armv7--
FreeBSD:12:i386--
FreeBSD:12:mips--
FreeBSD:12:mips64--
FreeBSD:12:powerpc64--
FreeBSD:13:aarch64--
FreeBSD:13:amd64--
FreeBSD:13:armv6--
FreeBSD:13:armv7--
FreeBSD:13:i386--
FreeBSD:13:mips--
FreeBSD:13:mips64--
FreeBSD:13:powerpc64--
FreeBSD:14:aarch64--
FreeBSD:14:amd64--
FreeBSD:14:armv6--
FreeBSD:14:armv7--
FreeBSD:14:i386--
FreeBSD:14:mips--
FreeBSD:14:mips64--
FreeBSD:14:powerpc64--
 

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. c-ares>=1.10.0 : dns/c-ares
  2. libuv>=1.16.1 : devel/libuv
  3. icu>=58.2 : devel/icu
  4. gmake : devel/gmake
  5. python2.7 : lang/python27
  6. pkgconf>=1.3.0_1 : devel/pkgconf
Library dependencies:
  1. libcares.so : dns/c-ares
  2. libuv.so : devel/libuv
  3. libicui18n.so : devel/icu
NOTE: dependencies for deleted ports are notoriously suspect
This port is required by:
for Run

Deleted ports which required this port:

Expand this list of 5 deleted ports
  1. net-mgmt/statsd*
  2. textproc/kibana46*
  3. textproc/kibana5*
  4. www/npm-node6*
  5. www/npm3*
  6. Collapse this list of deleted ports.
* - deleted ports are only shown under the This port is required by section. It was harder to do for the Required section. Perhaps later...

Configuration Options:
Options name:

USES:

pkg-message:
If installing:
Master Sites:
Expand this list (1 items)
Collapse this list.
  1. http://nodejs.org/dist/v6.17.1/
Collapse this list.
Port Moves
  • port moved to www/node8 on 2019-11-02
    REASON: Has expired: Node.js 6.x LTS reaches end-of-life on 2019-04-30, see https://github.com/nodejs/Release

Number of commits found: 71

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
02 Nov 2019 20:18:04
Original commit files touched by this commit Revision:516364  6.17.1_2
rene search for other commits by this committer
Remove expired ports:

2019-05-15 lang/phantomjs: Project has been discontinued:
https://github.com/ariya/phantomjs/issues/15344
2019-11-01 net-mgmt/statsd: depends on expired www/node6
2019-11-01 palm/p5-Palm: obsolete technology
2019-11-01 shells/sparforte: uses expired bdb48
2019-11-01 sysutils/pcbsd-utils-qt5: No longer maintained upstream
2019-11-01 sysutils/sysadm: No longer maintained upstream
2019-11-01 sysutils/sysadm-client: No longer maintained upstream
2019-11-01 textproc/kibana5: depends on expired www/node6
2019-11-01 textproc/kibana5-search-guard: Depends on expired www/node6 via
textproc/kibana5
2019-11-01 textproc/p5-EBook-Tools: Depends on expired palm/p5-Palm
2019-10-16 textproc/xml-parse.el: Unfetchable, unmaintained
2019-11-01 www/bigbluebutton: Depends on expired www/tomcat6
2019-04-30 www/node6: Node.js 6.x LTS reaches end-of-life on 2019-04-30, see
https://github.com/nodejs/Release
2019-11-01 www/pebble: depends on expired www/tomcat6
2019-08-01 www/tomcat6: End-of-life since 2017
03 Oct 2019 20:35:30
Original commit files touched by this commit Revision:513733  6.17.1_2
jbeich search for other commits by this committer
devel/icu: update to 65.1

Changes:	http://site.icu-project.org/download/65
ABI:		https://abi-laboratory.pro/tracker/timeline/icu4c/
14 Sep 2019 22:01:13
Original commit files touched by this commit Revision:512079  6.17.1_1
jbeich search for other commits by this committer
Drop C++11 workaround for GCC < 6 after r449590

lang/gcc5 will expire in ~1 month. If someone still uses lang/gcc48
they should backport C++11 fix instead. QA on GCC architecuters is
currently limited to powerpc64 which uses GCC_DEFAULT.

PR:		193528
14 Aug 2019 12:25:09
Original commit files touched by this commit Revision:508913  6.17.1_1
mat search for other commits by this committer
Convert to UCL & cleanup pkg-message (categories w)
26 Jul 2019 20:46:57
Original commit files touched by this commit Revision:507372  6.17.1_1
gerald search for other commits by this committer
Bump PORTREVISION for ports depending on the canonical version of GCC
as defined in Mk/bsd.default-versions.mk which has moved from GCC 8.3
to GCC 9.1 under most circumstances now after revision 507371.

This includes ports
 - with USE_GCC=yes or USE_GCC=any,
 - with USES=fortran,
 - using Mk/bsd.octave.mk which in turn features USES=fortran, and
 - with USES=compiler specifying openmp, nestedfct, c11, c++0x, c++11-lang,
   c++11-lib, c++14-lang, c++17-lang, or gcc-c++11-lib
plus, everything INDEX-11 shows with a dependency on lang/gcc9 now.

PR:		238330
24 May 2019 05:42:46
Original commit files touched by this commit Revision:502419  6.17.1
antoine search for other commits by this committer
Revert r502354 and unbreak INDEX
23 May 2019 20:28:28
Original commit files touched by this commit Revision:502354  6.17.1
bhughes search for other commits by this committer
Remove www/node6

This port reached end-of-life upstream on 2019-04-30. Remove node6-*
from CONFLICTS for the remaining www/node* ports.

Sponsored by:	Miles AS
04 Apr 2019 08:19:45
Original commit files touched by this commit Revision:497811  6.17.1
bhughes search for other commits by this committer
www/node6: Update 6.17.0_1 -> 6.17.1

https://nodejs.org/en/blog/release/v6.17.1/

Sponsored by:	Miles AS
29 Mar 2019 04:57:05
Original commit files touched by this commit Revision:497067  6.17.0_1
bhughes search for other commits by this committer
www/node*: specify minimum versions of dependencies in BUILD_DEPENDS

Add BUILD_DEPENDS for all LIB_DEPENDS, specifying the minimum version as
the version bundled with a particlar version of Node.js. This should help
people building from ports with out-of-date dependencies with a helpful
message instead of build failures.

Reported by:	freebsd-ports@
Sponsored by:	Miles AS
27 Mar 2019 21:11:09
Original commit files touched by this commit Revision:496981  6.17.0_1
jbeich search for other commits by this committer
devel/icu: update to 64.1

Changes:	http://site.icu-project.org/download/64
ABI:		https://abi-laboratory.pro/tracker/timeline/icu4c/
PR:		236325
Exp-run by:	antoine
Differential Revision:	https://reviews.freebsd.org/D19479
16 Mar 2019 22:57:26
Original commit files touched by this commit Revision:495982  6.17.0
bhughes search for other commits by this committer
www/node6: add deprecation notice

Node.js 6.x LTS reaches end-of-life on 2019-04-30, see
https://github.com/nodejs/Release

Sponsored by:	Miles AS
12 Mar 2019 21:09:14
Original commit files touched by this commit Revision:495528  6.17.0
bhughes search for other commits by this committer
www/node6: set environment variables for host build

The Node.js build system supports cross-compilation via node-gyp, which
picks up CC, CXX, LINK, C*FLAGS, and LDFLAGS from the environment for the
target build, but not for the host. We need to set the environment variables
for the "host" build.

Sponsored by:	Miles AS
Differential Revision:	 https://reviews.freebsd.org/D19250
03 Mar 2019 09:16:54
Original commit files touched by this commit Revision:494487  6.17.0
bhughes search for other commits by this committer
www/node6: Update 6.16.0_1 0-> 6.17.0

This is a security release. All Node.js users should consult the security
release summary at
https://nodejs.org/en/blog/vulnerability/february-2019-security-releases/
for details on patched vulnerabilities.

MFH:		2019Q1
Security:	b71d7193-3c54-11e9-a3f9-00155d006b02
Sponsored by:	Miles AS
11 Feb 2019 18:24:42
Original commit files touched by this commit Revision:492706  6.16.0_1 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node*: fix build on non-amd64/-i386 when BUNDLED_SSL is unset

The --openssl-no-asm configure option should only be set
when BUNDLED_SSL is enabled.

PR:		235311
Reported by:	jbeich
Sponsored by:	Miles AS
23 Jan 2019 21:10:27
Original commit files touched by this commit Revision:491057  6.16.0_1 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node6: build on FreeBSD >=12

Change the default options to enable BUNDLED_SSL by default on
FreeBSD >=12, which includes OpenSSL 1.1 in the base system, not the
1.0.2 required by Node.js 6.x LTS. Bump PORTREVISION due to the change
in defaults.

While here, convert the port to use BROKEN_SSL, taking care to set
BROKEN_SSL+=base when appropriate.

Sponsored by:	Miles AS
28 Dec 2018 20:43:36
Original commit files touched by this commit Revision:488623  6.16.0 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node6: Update 6.15.1_1 -> 6.16.0

The 6.15.0 security release introduced some unexpected breakages on the
6.x release line. This is a special release to fix a regression in the
HTTP binary upgrade response body and add a missing CLI flag to adjust
the max header size of the http parser.

https://nodejs.org/en/blog/release/v6.16.0/

Sponsored by:	Miles AS
21 Dec 2018 15:12:47
Original commit files touched by this commit Revision:488010  6.15.1_1 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node6: disable DTRACE on powerpc64

s/EXCLIDE/EXCLUDE/ to fix typo in last commit.

PR:		233694
Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>
Sponsored by:	Miles AS
21 Dec 2018 12:49:25
Original commit files touched by this commit Revision:487990  6.15.1_1 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node6: fix build on powerpc64

PR:		233694
Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>
Sponsored by:	Miles AS
12 Dec 2018 01:35:36
Original commit files touched by this commit Revision:487272  6.15.1_1 This port version is marked as vulnerable.
gerald search for other commits by this committer
Bump PORTREVISION for ports depending on the canonical version of GCC
defined via Mk/bsd.default-versions.mk which has moved from GCC 7.4 t
GCC 8.2 under most circumstances.

This includes ports
 - with USE_GCC=yes or USE_GCC=any,
 - with USES=fortran,
 - using Mk/bsd.octave.mk which in turn features USES=fortran, and
 - with USES=compiler specifying openmp, nestedfct, c11, c++0x, c++11-lang,
   c++11-lib, c++14-lang, c++17-lang, or gcc-c++11-lib
plus, as a double check, everything INDEX-11 showed depending on lang/gcc7.

PR:		231590
11 Dec 2018 10:10:02
Original commit files touched by this commit Revision:487230  6.15.1 This port version is marked as vulnerable.
antoine search for other commits by this committer
Spell CHOSEN_COMPILER_TYPE correctly

PR:		199098
With hat:	portmgr
10 Dec 2018 11:33:10
Original commit files touched by this commit Revision:487154  6.15.1 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node6: Update 6.14.4_1 -> 6.15.1

This is a security release addressing multiple vulnerabilities. Node.js
6.15.0 addresses the vulnerabilities, and 6.15.1 addresses an issue with
the fix for CVE-2018-12122. Users are recommended to upgrade as soon as
possible.

https://nodejs.org/en/blog/vulnerability/november-2018-security-releases/
https://nodejs.org/en/blog/release/v6.15.0/
https://nodejs.org/en/blog/release/v6.15.1/

MFH:		2018Q4
Security:	2a86f45a-fc3c-11e8-a414-00155d006b02
Sponsored by:	Miles AS
02 Nov 2018 13:32:35
Original commit files touched by this commit Revision:483807  6.14.4_1 This port version is marked as vulnerable.
rene search for other commits by this committer
Remove compatibility code for FreeBSD < 11.2 from all ports.

Simplify some ports where DragonFlyBSD no longer needs to be special-cased.
Submitted by:	rene
Reviewed by:	bapt, jbeich
Differential Revision:	https://reviews.freebsd.org/D17724
31 Oct 2018 21:03:49
Original commit files touched by this commit Revision:483618  6.14.4_1 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node10: copy from www/node, update 10.12.0_1 -> 10.13.0 (LTS)

Create a new port for the latest Node.js 10.13.0 LTS release. Update
CONFLICTS for the existing Node.js ports to include the new node10 port
and remove non-existent ports.

https://nodejs.org/en/blog/release/v10.13.0/

Sponsored by:	Miles AS
23 Oct 2018 11:35:04
Original commit files touched by this commit Revision:482830  6.14.4_1 This port version is marked as vulnerable.
jbeich search for other commits by this committer
devel/icu: update to 63.1

Changes:	http://site.icu-project.org/download/63
ABI:		https://abi-laboratory.pro/tracker/timeline/icu4c/
PR:		232300
Exp-run by:	antoine
27 Aug 2018 11:27:03
Original commit files touched by this commit Revision:478192  6.14.4 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node6: Update 6.14.3_2 -> 6.14.4

This is a security release addressing multiple vulnerabilities. Users
are recommended to upgrade as soon as possible.

https://nodejs.org/en/blog/vulnerability/august-2018-security-releases/
https://nodejs.org/en/blog/release/v6.14.4/

MFH:		2018Q3
Security:	0904e81f-a89d-11e8-afbb-bc5ff4f77b71
Sponsored by:	Miles AS
26 Aug 2018 18:42:23
Original commit files touched by this commit Revision:478154  6.14.3_2 This port version is marked as vulnerable.
sunpoet search for other commits by this committer
Update WWW

Approved by:	portmgr (blanket)
29 Jul 2018 22:18:46
Original commit files touched by this commit Revision:475857  6.14.3_2 This port version is marked as vulnerable.
gerald search for other commits by this committer
Bump PORTREVISION for ports depending on the canonical version of GCC
in the ports tree (via Mk/bsd.default-versions.mk and lang/gcc) which
has now moved from GCC 6 to GCC 7 by default.

This includes ports
 - featuring USE_GCC=yes or USE_GCC=any,
 - featuring USES=fortran,
 - using Mk/bsd.octave.mk which in turn features USES=fortran, and those
 - with USES=compiler specifying one of openmp, nestedfct, c11, c++0x,
   c++11-lib, c++11-lang, c++14-lang, c++17-lang, or gcc-c++11-lib.

PR:		222542
29 Jun 2018 14:22:11
Original commit files touched by this commit Revision:473551  6.14.3_1 This port version is marked as vulnerable.
jbeich search for other commits by this committer
devel/icu: update to 62.1

Changes:	http://site.icu-project.org/download/62
ABI:		https://abi-laboratory.pro/tracker/timeline/icu4c/
PR:		229359
Exp-run by:	antoine (only 10.4)
15 Jun 2018 13:58:11
Original commit files touched by this commit Revision:472448  6.14.3 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node6: Update 6.14.2 -> 6.14.3

Update to the latest security release, fixing CVE-2018-7167.

https://nodejs.org/en/blog/release/v6.14.3/
https://nodejs.org/en/blog/vulnerability/june-2018-security-releases/

MFH:		2018Q2
Security:	45b8e2eb-7056-11e8-8fab-63ca6e0e13a2
Sponsored by:	Miles AS
01 May 2018 20:38:17
Original commit files touched by this commit Revision:468801  6.14.2 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node6: Update 6.14.1_1 -> 6.14.2

Notable Changes:
- n-api has been backported to v6.x. It is being landed as an
  experimental interface, and as such is landing in a Semver-Patch
  release.

https://nodejs.org/en/blog/release/v6.14.2/
06 Apr 2018 15:53:17
Original commit files touched by this commit Revision:466648  6.14.1_1 This port version is marked as vulnerable.
jbeich search for other commits by this committer
devel/icu: update to 61.1

Changes:	http://site.icu-project.org/download/61
ABI:		https://abi-laboratory.pro/tracker/timeline/icu4c/
PR:		227042
Exp-run by:	antoine
MFH:		2018Q2 (required by Firefox 61)
01 Apr 2018 09:19:29
Original commit files touched by this commit Revision:466132  6.14.1 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node6: Update 6.14.0 -> 6.14.1

No changes from the previous verison. This release ensures that the
hosted binaries from the Node.js project adhere to the platform support
contract, which does not apply to the FreeBSD port and packages.

MFH:		2018Q2
29 Mar 2018 19:54:38
Original commit files touched by this commit Revision:465914  6.14.0 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node6: Update 6.13.1 -> 6.14.0

This is a security release addressing multiple vulnerabilities. Users
are recommended to upgrade as soon as possible.

https://nodejs.org/en/blog/vulnerability/march-2018-security-releases/
https://nodejs.org/en/blog/release/v6.14.0/

MFH:		2018Q1
Security:	5a9bbb6e-32d3-11e8-a769-6daaba161086
07 Mar 2018 14:58:18
Original commit files touched by this commit Revision:463796  6.13.1 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node: Update 6.13.0 -> 6.13.1

Notable changes:
- http, tls: better support for IPv6 addresses

https://nodejs.org/en/blog/release/v6.13.1/
19 Feb 2018 11:10:43
Original commit files touched by this commit Revision:462307  6.13.0 This port version is marked as vulnerable.
antoine search for other commits by this committer
Reduce dependency on the python2 metaport

PR:		225752
Submitted by:	Yasuhiro KIMURA
16 Feb 2018 20:30:15
Original commit files touched by this commit Revision:462058  6.13.0 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node6: Update 6.12.3 -> 6.13.0

https://nodejs.org/en/blog/release/v6.13.0/
08 Feb 2018 14:29:36
Original commit files touched by this commit Revision:461241  6.12.3 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node,www/node8,www/node6: disable dtrace usdt on armv[67]

Disable the DTRACE option by default on armv[67] since Node.js fails to
build on armv[67] with the following error:

dt_modtext:/usr/src/cddl/contrib/opensolaris/lib/libdtrace/common/dt_link.c(820):
arm not implemented

PR:		224271
Submitted by:	mikael.urankar@gmail.com
03 Feb 2018 22:29:44
Original commit files touched by this commit Revision:460854  6.12.3 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node6: Update 6.12.2 -> 6.12.3

https://nodejs.org/en/blog/release/v6.12.3/

While here, pet portlint:
- move ONLY_FOR_ARCHS
- remove USES_LDCONFIG (node.js doesn't install a .so)

Differential Revision:	https://reviews.freebsd.org/D13774
14 Dec 2017 19:45:42
Original commit files touched by this commit Revision:456344  6.12.2 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node6: Update 6.12.0_1 -> 6.12.2

Approved by:	mat (co-mentor)
Security:	bea84a7a-e0c9-11e7-b4f3-11baa0c2df21
Differential Revision:	https://reviews.freebsd.org/D13441
09 Nov 2017 02:31:48
Original commit files touched by this commit Revision:453790  6.12.0_1 This port version is marked as vulnerable.
jbeich search for other commits by this committer
devel/icu: update to 60.1

Changes:	http://site.icu-project.org/download/60
ABI:		https://abi-laboratory.pro/tracker/timeline/icu4c/
PR:		223373
Exp-run by:	antoine
08 Nov 2017 13:41:20
Original commit files touched by this commit Revision:453736  6.12.0 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node6: Update 6.11.5 -> 6.12.0

Approved by:	robak (mentor)
Differential Revision:	https://reviews.freebsd.org/D13003
06 Nov 2017 14:17:57
Original commit files touched by this commit Revision:453618  6.11.5 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node8: copy from www/node, update 8.8.1 -> 8.9.0 (LTS)

Create a new port for the latest Node.js 8.9.0 LTS release. Update
CONFLICTS for the existing Node.js ports to include the new node8 port
and remove non-existent ports.

https://nodejs.org/en/blog/release/v8.9.0/

Approved by:	robak (mentor)
Differential Revision:	https://reviews.freebsd.org/D12930
25 Oct 2017 18:38:45
Original commit files touched by this commit Revision:452890  6.11.5 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node6: Update 6.11.4 -> 6.11.5

Update to the latest upstream v6.x release to address a remote DoS
vulnerability.

https://nodejs.org/en/blog/vulnerability/oct-2017-dos/
https://nodejs.org/en/blog/release/v6.11.5/

Approved by:	robak (mentor)
MFH:		2017Q4
Security:	CVE-2017-14919
Differential Revision:	https://reviews.freebsd.org/D12784
10 Oct 2017 21:31:30
Original commit files touched by this commit Revision:451721  6.11.4 This port version is marked as vulnerable.
linimon search for other commits by this committer
For ports that are explicitly enabled on armv6, also enable them
on armv7.  This has not been tested with an -exp run but should
"do no harm".

PR:		221894 (partial)
05 Oct 2017 08:52:09
Original commit files touched by this commit Revision:451279  6.11.4 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node6: Update 6.11.3_1 -> 6.11.4

Approved by:	robak (mentor)
Differential Revision:	https://reviews.freebsd.org/D12594
25 Sep 2017 00:02:36
Original commit files touched by this commit Revision:450556  6.11.3_1  Sanity Test Failure This port version is marked as vulnerable.
jbeich search for other commits by this committer
devel/icu: update to 59.1

- Temporarily keep C++98 working in consumers for Clang's default -std=

Changes:	http://site.icu-project.org/download/59
PR:		218788
Submitted by:	takefu@airport.fm, dcarmich@dcarmichael.net (early version)
Exp-run by:	antoine
22 Sep 2017 10:48:29
Original commit files touched by this commit Revision:450351  6.11.3 This port version is marked as vulnerable.
mat search for other commits by this committer
Remove USES=execinfo.

PR:		220271
Submitted by:	mat (review), Yasuhiro KIMURA (PR)
Sponsored by:	Absolight
Differential Revision:	https://reviews.freebsd.org/D11488
11 Sep 2017 18:09:37
Original commit files touched by this commit Revision:449663  6.11.3 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node6: Update 6.11.2_1 -> 6.11.3

Remove files/patch-node.gyp, since this patch has landed upstream. Use
DTRACE_CONFIGURE_ON to add --with-dtrace to the configure arguments when
DTRACE is enabled.

Approved by:	robak (mentor)
Differential Revision:	https://reviews.freebsd.org/D12297
10 Sep 2017 20:55:39
Original commit files touched by this commit Revision:449591  6.11.2_1 This port version is marked as vulnerable.
gerald search for other commits by this committer
Bump PORTREVISION for ports depending on the canonical version of GCC
(via Mk/bsd.default-versions.mk and lang/gcc) which has moved from
GCC 5.4 to GCC 6.4 under most circumstances.

This includes ports
 - with USE_GCC=yes or USE_GCC=any,
 - with USES=fortran,
 - using Mk/bsd.octave.mk which in turn features USES=fortran, and
 - with USES=compiler specifying openmp, nestedfct, c++11-lib, c++11-lang,
   c++14-lang, c++0x, c11, or gcc-c++11-lib.

PR:		219275
08 Aug 2017 18:16:21
Original commit files touched by this commit Revision:447557  6.11.2 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node6: Update 6.11.1 -> 6.11.2

Approved by:	mat (co-mentor)
Differential Revision:	https://reviews.freebsd.org/D11924
13 Jul 2017 15:21:13
Original commit files touched by this commit Revision:445655  6.11.1 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node6: Update 6.11.0 -> 6.11.1

Approved by:	robak (mentor)
MFH:		2017Q3
Security:	3eff66c5-66c9-11e7-aa1d-3d2e663cef42
Differential Revision:	https://reviews.freebsd.org/D11579
26 Jun 2017 23:44:13
Original commit files touched by this commit Revision:444433  6.11.0 This port version is marked as vulnerable.
linimon search for other commits by this committer
Sort ARCHS.  Pet portlint.

Approved by:	portmgr (tier-2 blanket)
26 Jun 2017 10:34:50
Original commit files touched by this commit Revision:444363  6.11.0 This port version is marked as vulnerable.
bhughes search for other commits by this committer
www/node6: Update 6.10.3 -> 6.11.0

While here, sort ONLY_FOR_ARCHS as recommended by portlint.

Approved by:	robak (mentor)
Differential Revision:	https://reviews.freebsd.org/D11187
02 Jun 2017 19:15:40
Original commit files touched by this commit Revision:442454  6.10.3 This port version is marked as vulnerable.
bhughes search for other commits by this committer
multiple ports: Update MAINTANER

Change bradleythughes@fastmail.fm -> bhughes@FreeBSD.org after
receiving my ports commit bit on all ports I maintain: devel/awscli,
devel/py-botocore, net/py-s3transfer, net/turnserver, www/node4,
www/node6, and www/node.

Approved by:	robak (mentor)
Differential Review:	https://reviews.freebsd.org/D11015
10 May 2017 17:52:16
Original commit files touched by this commit Revision:440579  6.10.3 This port version is marked as vulnerable.
sunpoet search for other commits by this committer
Update to 6.10.3

Changes:	https://github.com/nodejs/node/blob/master/doc/changelogs/CHANGELOG_V6.md
PR:		219192
Submitted by:	Bradley T. Hughes <bradleythughes@fastmail.fm> (maintainer)
06 Apr 2017 13:58:49
Original commit files touched by this commit Revision:437867  6.10.2 This port version is marked as vulnerable.
robak search for other commits by this committer
www/node6: update 6.10.1 -> 6.10.2

PR:		218427
Submitted by:	Bradley T. Hughes <bradleythughes@fastmail.fm> (maintainer)
01 Apr 2017 15:23:32
Original commit files touched by this commit Revision:437439  6.10.1_1 This port version is marked as vulnerable.
gerald search for other commits by this committer
Bump PORTREVISIONs for ports depending on the canonical version of GCC and
lang/gcc which have moved from GCC 4.9.4 to GCC 5.4 (at least under some
circumstances such as versions of FreeBSD or platforms).

This includes ports
 - with USE_GCC=yes or USE_GCC=any,
 - with USES=fortran,
 - using using Mk/bsd.octave.mk which in turn has USES=fortran, and
 - with USES=compiler specifying openmp, nestedfct, c++11-lib, c++14-lang,
   c++11-lang, c++0x, c11, or gcc-c++11-lib.

PR:		216707
23 Mar 2017 23:25:33
Original commit files touched by this commit Revision:436798  6.10.1 This port version is marked as vulnerable.
sunpoet search for other commits by this committer
Update to 6.10.1

Changes:	https://github.com/nodejs/node/blob/master/doc/changelogs/CHANGELOG_V6.md
PR:		218046
Submitted by:	Bradley T. Hughes <bradleythughes@fastmail.fm> (maintainer)
02 Mar 2017 15:40:55
Original commit files touched by this commit Revision:435241  6.10.0 This port version is marked as vulnerable.
krion search for other commits by this committer
Update www/node6 to 6.10.0

PR:		217330
Submitted by:	maintainer
Approved by:	mat (mentor)
Differential Revision:	https://reviews.freebsd.org/D9794
14 Feb 2017 16:15:02
Original commit files touched by this commit Revision:434123  6.9.5_2 This port version is marked as vulnerable.
sunpoet search for other commits by this committer
Enable BUNDLED_SSL by default only on FreeBSD 10

- Add UPDATING entry
- Bump PORTREVISION for dependency change

PR:		217095
Submitted by:	Bradley T. Hughes <bradleythughes@fastmail.fm> (maintainer)
05 Feb 2017 21:20:24
Original commit files touched by this commit Revision:433456  6.9.5_1 This port version is marked as vulnerable.
tijl search for other commits by this committer
- Remove inclusion of bsd.default-versions.mk from ftp/curl/Makefile so
  bsd.default-versions.mk can rely on ARCH being defined.
- In bsd.port.mk move inclusion of bsd.default-versions.mk from the
  pre-makefile section to the options section so the variables can be used
  earlier.  Also put the bit of code sitting between the options section and
  the pre-makefile section into the options section.
- Remove last few cases where ports set WITH_OPENSSL_PORT.  This variable is
  handled in bsd.default-versions.mk and some ports were setting it after
  including bsd.port.options.mk.  After FreeBSD 9 EoL all but a few ports,
  and then only when setting non-default options, work without setting that
  variable.

PR:		215996
Exp-run by:	antoine
Approved by:	portmgr (antoine)
05 Feb 2017 05:32:19
Original commit files touched by this commit Revision:433371  6.9.5 This port version is marked as vulnerable.
sunpoet search for other commits by this committer
Update to 6.9.5

Changes:	https://github.com/nodejs/node/blob/master/doc/changelogs/CHANGELOG_V6.md
PR:		216794
Submitted by:	Bradley T. Hughes <bradleythughes@fastmail.fm> (maintainer)
06 Jan 2017 20:02:50
Original commit files touched by this commit Revision:430744  6.9.4 This port version is marked as vulnerable.
sunpoet search for other commits by this committer
Update to 6.9.4

- Update pkg-message
- While I'm here, remove duplicate PLIST_SUB which is already handled by
OPTIONS_SUB=yes

Changes:	https://github.com/nodejs/node/blob/master/doc/changelogs/CHANGELOG_V6.md
		https://nodejs.org/en/blog/release/v6.9.4/
PR:		215776
Submitted by:	Bradley T. Hughes <bradleythughes@fastmail.fm> (maintainer)
03 Jan 2017 19:10:47
Original commit files touched by this commit Revision:430513  6.9.2 This port version is marked as vulnerable.
sunpoet search for other commits by this committer
Remove OPTIONS_EXCLUDE_FreeBSD_9

Approved by:	portmgr (blanket)
20 Dec 2016 17:56:40
Original commit files touched by this commit Revision:429006  6.9.2 This port version is marked as vulnerable.
mat search for other commits by this committer
Remove emulation of OPTIONS_EXCLUDE_${OPSYS}_${OSREL:R}, it is a thing
now.

Sponsored by:	Absolight
09 Dec 2016 12:58:31
Original commit files touched by this commit Revision:428202  6.9.2 This port version is marked as vulnerable.
sunpoet search for other commits by this committer
- Update to 6.9.2

Changes:	https://github.com/nodejs/node/blob/master/doc/changelogs/CHANGELOG_V6.md
		https://nodejs.org/en/blog/release/v6.9.2/
PR:		215167
Submitted by:	Bradley T. Hughes <bradleythughes@fastmail.fm> (maintainer)
07 Dec 2016 23:54:57
Original commit files touched by this commit Revision:428089  6.9.1_2 This port version is marked as vulnerable.
adamw search for other commits by this committer
Remove www/node in preparation for moving node7 into its place.
Update the CONFLICTS lines for the node ports at the same time.

PR:		213948
Approved by:	maintainer (Bradley T. Hughes)
23 Nov 2016 01:47:35
Original commit files touched by this commit Revision:426881  6.9.1_2 This port version is marked as vulnerable.
swills search for other commits by this committer
www/node6: add dtrace option and enable by default

Approved by:	bradleythughes@fastmail.fm (maintainer)
19 Nov 2016 22:03:39
Original commit files touched by this commit Revision:426540  6.9.1_1 This port version is marked as vulnerable.
pi search for other commits by this committer
www/node7: Add Node.js 7.1.0, copied from www/node

PR:		213945
Submitted by:	Bradley T. Hughes <bradleythughes@fastmail.fm> (maintainer)
19 Nov 2016 18:21:20
Original commit files touched by this commit Revision:426525  6.9.1_1 This port version is marked as vulnerable.
jbeich search for other commits by this committer
devel/icu: update to 58.1

Changes:	http://site.icu-project.org/download/58
PR:		214384
Exp-run by:	antoine
Approved by:	office (bapt)
19 Nov 2016 12:21:22
Original commit files touched by this commit Revision:426362  6.9.1 This port version is marked as vulnerable.
pi search for other commits by this committer
www/node: Copy to www/node6 as LTS version

PR:		213693
Submitted by:	Bradley T. Hughes <bradleythughes@fastmail.fm> (maintainer)

Number of commits found: 71